/** ###################################################################
**     THIS COMPONENT MODULE IS GENERATED BY THE TOOL. DO NOT MODIFY IT.
**     Filename    : LEDB.h
**     Project     : ProcessorExpert
**     Processor   : MKL25Z128VLK4
**     Component   : LED
**     Version     : Component 01.047, Driver 01.00, CPU db: 3.00.000
**     Compiler    : GNU C Compiler
**     Date/Time   : 2012-12-25, 18:14, # CodeGen: 17
**     Abstract    :
**          This component implements a universal driver for a single LED.
**     Settings    :
**          Component name                                 : LEDB
**          LED on with initialization                     : no
**          HW Interface                                   : 
**            LED Pin                                      : LEDpin
**            Anode on port side                           : no
**     Contents    :
**         On     - void LEDB_On(void);
**         Off    - void LEDB_Off(void);
**         Neg    - void LEDB_Neg(void);
**         Get    - byte LEDB_Get(void);
**         Put    - void LEDB_Put(byte val);
**         Init   - void LEDB_Init(void);
**         Deinit - void LEDB_Deinit(void);
**
**     License   :  Open Source (LGPL)
**     Copyright : (c) Copyright Erich Styger, 2012, all rights reserved.
**     This an open source software implementing an LED driver using Processor Expert.
**     This is a free software and is opened for education, research and commercial developments under license policy of following terms:
**     * This is a free software and there is NO WARRANTY.
**     * No restriction on use. You can use, modify and redistribute it for personal, non-profit or commercial product UNDER YOUR RESPONSIBILITY.
**     * Redistributions of source code must retain the above copyright notice.
** ###################################################################*/

#ifndef __LEDB_H
#define __LEDB_H

/* MODULE LEDB. */

/* Include shared modules, which are used for whole project */
#include "PE_Types.h"
#include "PE_Error.h"
#include "PE_Const.h"
#include "IO_Map.h"
/* Include inherited beans */
#include "LEDpin1.h"

#include "Cpu.h"

#define LEDB_ClrVal()    LEDpin1_ClrVal() /* put the pin on low level */
#define LEDB_SetVal()    LEDpin1_SetVal() /* put the pin on high level */
#define LEDB_SetInput()  LEDpin1_SetInput() /* use the pin as input pin */
#define LEDB_SetOutput() LEDpin1_SetOutput() /* use the pin as ouput pin */


#define LEDB_On() LEDpin1_ClrVal()
/*
** ===================================================================
**     Method      :  LEDB_On (component LED)
**
**     Description :
**         This turns the LED on.
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/

#define LEDB_Off() LEDpin1_SetVal()
/*
** ===================================================================
**     Method      :  LEDB_Off (component LED)
**
**     Description :
**         This turns the LED off.
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/

#define LEDB_Neg() LEDpin1_NegVal()
/*
** ===================================================================
**     Method      :  LEDB_Neg (component LED)
**
**     Description :
**         This negates/toggles the LED
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/

#define LEDB_Get() (!(LEDpin1_GetVal()))
/*
** ===================================================================
**     Method      :  LEDB_Get (component LED)
**
**     Description :
**         This returns logical 1 in case the LED is on, 0 otherwise.
**     Parameters  : None
**     Returns     :
**         ---             - Status of the LED (on or off)
** ===================================================================
*/

#define LEDB_Init() LEDB_Off()
/*
** ===================================================================
**     Method      :  LEDB_Init (component LED)
**
**     Description :
**         Performs the LED driver initialization.
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/

#define LEDB_Put(val)  ((val) ? LEDB_On() : LEDB_Off())
/*
** ===================================================================
**     Method      :  LEDB_Put (component LED)
**
**     Description :
**         Turns the LED on or off.
**     Parameters  :
**         NAME            - DESCRIPTION
**         val             - value to define if the LED has to be on or
**                           off.
**     Returns     : Nothing
** ===================================================================
*/

void LEDB_Deinit(void);
/*
** ===================================================================
**     Method      :  LEDB_Deinit (component LED)
**
**     Description :
**         Deinitializes the driver
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/

/* END LEDB. */

#endif
/* ifndef __LEDB_H */
/*
** ###################################################################
**
**     This file was created by Processor Expert 10.0 [05.03]
**     for the Freescale Kinetis series of microcontrollers.
**
** ###################################################################
*/
